Consumer authentication should be handled only in the proxies controller
Revision aaf30cda - 03/19/2014 06:59 PM - Eric Helms

Fixes #4657: Removes Katello current user setting and moves consumer
authentication checking to the proxies controller.

Previously, the API controller was attempting to handle authentication for

standard users and consumers across all controllers. After moving all consumer
routes and functionality to the Candlepin proxies controller, client authentication
should be handled within the context of that controller and authentication/authorization
controller relegated to the underlying Foreman framework.

History

#1 - 03/20/2014 01:52 PM - Eric Helms
- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katellojcommit:aaf30cda7ba781dbf4al1226dfea7754d36c93204.

#2 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13
